virtualbox en ubuntu 8.04 pero con el kernel 2.6-22-14 generic de 7.10

Imagen de locovicen
0 puntos

Hola hace unos meses actualize mi ubuntu 7.10 al 8.04 y todo bien menos por un problemilla que tengo con el kernel 2.6-24-19 que estoy intentado solucionar, mientras estoy usando el kernel 2.6-22-14 ya que este me va perfecto para lo que yo necesito, pero claro con este kernel no puedo iniciar virtualbox ya que al actualizar ubuntu en los repositorios ha desaparecido el paquete virtualbox-ose-modules-2.6-22-14 generic, y sin ese paquete es imposible iniciar la maquina virtual.

Buscando en google he conseguido descargarme el paquete de la pagina https://launchpad.net/ubuntu/gutsy/i386/virtualbox-ose-modules-2.6.22-14... en .deb y al instalarlo, virtualbox me da otro tipo de error diferente al de antes y nose como solucionarlo me dice lo siguiente

Fallo al iniciar la maquina virtual XP profesinal

The VirtualBox support driver which is running is from a different version of VirtualBox. You can correct this by stopping all running instances of VirtualBox and reinstalling the software..
VBox status code: -11 (VERR_VERSION_MISMATCH).


Código Resultado: 
0x80004005
Componente: 
Console
Interface: 
IConsole {1dea5c4b-0753-4193-b909-22330f64ec45}

en resumen quiero que funcione virtualbox en ubuntu 8.04 lts pero con el kernel 2.6-22-14-generic, ¿Es posible?
y por favor no me digais que use el kernel 2.6-24-19 generic he instale el paquete virtualbox-ose-modules-2.6-24-19 genric porque eso no es lo que quiero, gracias espero averme explicado bien.